acad hispano
¿Quieres reaccionar a este mensaje? Regístrate en el foro con unos pocos clics o inicia sesión para continuar.

Pequeña duda.

Ir abajo

Pequeña duda. Empty Pequeña duda.

Mensaje por eliasp Vie Nov 06, 2020 6:36 pm

Buen día señores, como los trata la pandemia???

Bueno, por lo pronto hay que seguir trabajando, mientras tengamos trabajo.

El asunto es que me hice esta rutinita para examinar secciones transversales. La idea es ir examinando una a una. Entonces, se usa así: teniendo en la pantalla una sección transversal, se ejecuta la rutina, nos va a pedir punto superior izquierdo e inferior derecho, se seleccionan de tal forma que la sección quede dentro del rectángulo. Luego nos pide distancia vertical, seleccionamos la parte inferior de la sección que estamos viendo hasta la sección arriba de ésta. Mientras tecleemos "enter" o cualquier cosa que no se cero (o), se va a ir recorriendo hacia arriba la ventana permitiéndonos examinar cómodamente. Espero haber sido claro.

La duda es que al teclear "0" para salir, me manda mensaje de error, "Unknown command "EXAMINA".  Press F1 for help."

Espero me ayuden a encontrar mi error.

Saludos y gracias

Código:

(defun c:examina(/ zver)
  (setvar "osmode" 0)
  (setq pto1(getpoint "\n Esquina Sup Izq..."))
  (setq pto2(getcorner pto1 "\n Inf Der..."))
  (setvar "osmode" 1)
  (setq paso(getdist"\n Distancia Vertical {hacia arriba}"))
  (vl-cmdf "_zoom" "_W" pto1 pto2 "")
  (setq pa pto1 pb pto2)
  (while(/=(setq zver(getint "\n Enter para seguir viendo, 0 para salir..."))0)
    (setq pto3(polar pto1(* 0.5 pi)paso)
  pto4(polar pto2(* 0.5 pi)paso)
  )
    (vl-cmdf "_zoom" "_W" pto3 pto4 "")
    
    (setq pto1 pto3 pto2 pto4)
    )
  (setvar "osmode" 0)
  (vl-cmdf "_zoom" "_W" pa pb "")
  )

eliasp

Mensajes : 103
Fecha de inscripción : 17/03/2016

Volver arriba Ir abajo

Pequeña duda. Empty Re: Pequeña duda.

Mensaje por EcObO Vie Nov 27, 2020 7:01 pm

Código:
(defun c:examina(/ zver)
 (setvar "osmode" 0)
 (setq pto1(getpoint "\n Esquina Sup Izq..."))
 (setq pto2(getcorner pto1 "\n Inf Der..."))
 (setvar "osmode" 1)
 (setq paso(getdist"\n Distancia Vertical {hacia arriba}"))
 (vl-cmdf "_zoom" "_W" pto1 pto2 "")
 (setq pa pto1 pb pto2)
 
  (while(/=(setq zver(getint "\n Enter para seguir viendo, 0 para salir...")) 0)


   (setq pto3(polar pto1(* 0.5 pi)paso)
         pto4(polar pto2(* 0.5 pi)paso)
    )
   (vl-cmdf "_zoom" "_W" pto3 pto4); "")
   
   (setq pto1 pto3 pto2 pto4)

   )
 
 (setvar "osmode" 0)
 (vl-cmdf "_zoom" "_W" pa pb); "")

)

EcObO

Mensajes : 1
Fecha de inscripción : 15/02/2017

Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.